Bug 1270614 - Chromium hardware acceleration corruption of description popups
Chromium hardware acceleration corruption of description popups
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-11 17:51 EDT by Mike Simms
Modified: 2016-05-31 17:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-31 17:38:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lscpi -v output (5.96 KB, text/plain)
2015-10-11 17:51 EDT, Mike Simms
no flags Details
screenshot showing problem (555.25 KB, image/png)
2015-10-11 17:51 EDT, Mike Simms
no flags Details

  None (edit)
Description Mike Simms 2015-10-11 17:51:13 EDT
Created attachment 1081822 [details]
lscpi -v output

Description of problem:If hardware acceleration is enabled in Chromium Browser then the rendering of description popups for forum threads on fedoraforum.org and other sites is not completed properly. Does not happen if hardware acceleration is turned off.



Version-Release number of selected component (if applicable):7.5.0-3.fc22


How reproducible: Constantly.


Steps to Reproduce:
1. Open Chromium and leave 'Use hardware acceleration enabled when available' ticked under Advanced Settings.
2. Navigate to the site mentioned above
3. Hover over a forum thread title listing or an image to show popup

Actual results: garbled mess


Expected results: legible text


Additional info: same problem previously with F21 but that time on Intel hardware. See bug 1204422.

Moving the cursor away and back again will allow the description to be viewed. As soon as you try again with another topic link or image the same problem happens.
Comment 1 Mike Simms 2015-10-11 17:51 EDT
Created attachment 1081823 [details]
screenshot showing problem
Comment 2 Mike Simms 2015-10-11 17:53:54 EDT
Desktop environment is MATE-Compiz 1.10.2. Using Marco WM. Kernel 4.3.2-300.fc22 (x86_64).

Chromium 45.0.2454.99 Russian Fedora (64-bit)
Comment 3 Mike Simms 2016-04-19 19:32:23 EDT
Bug still present in F24 MATE-Compiz with Compiz enabled and hardware acceleration ticked in Chromium.
Comment 4 Mike Simms 2016-05-31 17:38:39 EDT
Fixed upstream with 51.0.2704.63 Russian Fedora (64-bit). The corrupt pop-ups are no longer manifesting on either Intel HD 4000 GPU or Radeon hardware.

Note You need to log in before you can comment on or make changes to this bug.